// Servo Control Tutorial#1
// Prepared by Robo India
// www.roboindia.com

// Arduino Servo Library can add up to 12 servo on most of Arduino boards.
#include <Servo.h>  // Includes servo library.
 
Servo servo_1;      // Creating Servo object.
 
int servo_pos = 0;   // Storing servo position (0 degree to 180 degree)
 
void setup() 
{ 
  servo_1.attach(3);  // Attaching servo to Pin No.3 
} 
 
 
void loop() 
{ 

  for(servo_pos = 0; servo_pos <= 45; servo_pos++) // loop to go to 45 degree from 0 degree.
   {                                   // increment of 1 degree in each step
    servo_1.write(servo_pos);          // commanding servo to reach at Servo_pos.
    delay(15);                         // waiting a bit for the servo to reach commanded position. 
   } 
  delay(1000);                         //Delay of 1 second to observe stoppage of servo. 
  for(servo_pos = 46; servo_pos <= 90; servo_pos++)  // loop to go to 90 degree from 46 degree. 
   {                                   
    servo_1.write(servo_pos);              
    delay(15);                        
   } 
  delay(1000);
  for(servo_pos = 91; servo_pos <= 135; servo_pos++)  // loop to go to 135 degree from 91 degree. 
   {                                  
    servo_1.write(servo_pos);              
    delay(15);                        
   } 
  delay(1000);
  for(servo_pos = 136; servo_pos <= 180; servo_pos++) // loop to go to 180 degree from 136 degree. 
   {                                   
    servo_1.write(servo_pos);               
    delay(15);                        
   } 
  delay(1000);  
  for(servo_pos = 180; servo_pos>=1; servo_pos--)     // Loop to go back to 0 degree.  
   {                                
    servo_1.write(servo_pos);               
    delay(15);                       
   } 
  delay(1000);
} 
